commit:     a2bbbd4d3cf29874af88b329e554b2c89286642f
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 25 07:22:23 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 07:22:23 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2bbbd4d

dev-python/decorator: Version Bump

Package-Manager: portage-2.2.21
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/decorator/Manifest               |  1 +
 dev-python/decorator/decorator-4.0.4.ebuild | 31 +++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/decorator/Manifest b/dev-python/decorator/Manifest
index 3f9a69f..97e4d1a 100644
--- a/dev-python/decorator/Manifest
+++ b/dev-python/decorator/Manifest
@@ -1,2 +1,3 @@
 DIST decorator-3.4.2.tar.gz 6115 SHA256 
7320002ce61dea6aa24adc945d9d7831b3669553158905cdd12f5d0027b54b44 SHA512 
48e5c65ba4243310267e4a75660a55091d5d354e35f31c3c37d886bdf2f8bf915b54d829b9a0a8affe35920e1c981c41a06bcac0eaa8930b47a6ed1c68a71566
 WHIRLPOOL 
51b7afd6e91967783ffccab73b9a26fb53e103da5e9116621268828874bd6ace55c37f6ba5881bbdfd3593d017b5eaa42c9017c0cbaa88360af69a2368b7eef7
 DIST decorator-4.0.2.tar.gz 64850 SHA256 
1a089279d5de2471c47624d4463f2e5b3fc6a2cf65045c39bf714fc461a25206 SHA512 
9f135c9c624557a90619e46002f12d54f8c53045420f524bbc52dee0b488268501467b207ea8f4445a8aa7d119af3e615cd76cbc25c1d1335d3bb581a1045ab3
 WHIRLPOOL 
1a4a31fe67d4cdfc58cb5486f83ee059a9211af5c5e48d57c9b22a24e08e5659a2e8b4519ecaba68fa603ef6e5a0756f69ee10fbe173d07ffe23204b579f2f18
+DIST decorator-4.0.4.tar.gz 67150 SHA256 
5ad0c10fad31648cffa15ee0640eee04bbb1b843a02de26ad3700740768cc3e1 SHA512 
2c59091c41afdebd76ce0057a7183a969cd6cdadae5839d2ea5773814d435ab6f528acd6fccb02074ae23382e26fe73f8dab2b0b4c523de99b43d666292a23cf
 WHIRLPOOL 
e6ed224735839bc8232a6c94b674c1ecd4fb5558414219a54d56bc77536c467558ad8c5209c839622b590129136dfc33fa53ae85cc6b102c6e94b03fe2ed0285

diff --git a/dev-python/decorator/decorator-4.0.4.ebuild 
b/dev-python/decorator/decorator-4.0.4.ebuild
new file mode 100644
index 0000000..5f02fbc
--- /dev/null
+++ b/dev-python/decorator/decorator-4.0.4.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simplifies the usage of decorators for the average programmer"
+HOMEPAGE="https://pypi.python.org/pypi/decorator 
https://github.com/micheles/decorator";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=( docs/README.rst )
+
+python_test() {
+       "${PYTHON}" src/tests/test.py || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && dodoc documentation.pdf
+       distutils-r1_python_install_all
+}

Reply via email to